Subject: RE: [NSIS] question about routing in NTLP

From: "Christian Dickmann" <[email-masked]>
Date: Mon, 18 Sep 2006 08:21:42 +0200

Hi,

your question is not related to the specification of GIST/NSIS. Instead, you refer to the

NSIS implementation of the University of Goettingen. Therefore, you should use a different 

mailing list as instructed in the README file of the implementation.

Please see http://user.informatik.uni-goettingen.de/~nsis/help.html

for the correct mailing list. I will be happy to help you there.

Thank you for your interest.

Christian Dickmann

________________________________

From: 斌斌王 [mailto:[email-masked]] 
Sent: Monday, September 18, 2006 5:18 AM
To: [email-masked]
Subject: [NSIS] question about routing in NTLP

Hi all !

I have some questions about routing in NTLP. As we know  there are two major functions in NTLP: (1) Routing. (2) Transport.

I have read the implementation code of nsis-0.4.0. And I know that the function of "Transport" is implementd by the GistMAEntry class, which uses the socket classes provided in ../library/socket. 

however, I have been very confused on the "Routing" function. I don't know how it is being realized. And I realized there are many library files in ..¥library¥libxorp. Further more, I don't understand this words " Incoming messages are fetched from the socket by callbacks called by XORP(socket_events.cpp) ". What is the role of XORP as it here? how does XORP and GIST work together? 

I am looking forward someone can reply to my questions. Thank u very much!

Bestwishes!

Sky Wang

2006-9-18

-- 
journey 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis